Subject: Re: I found byacc, but what about bison?
From: [email-masked] (Christoph Kukulies)

21 Apr 1997 08:46:39 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: Christoph Kukulies <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
In-Reply-To: <[email-masked]> from Michael Lorenz at "Apr 21, 97 10:24:24 am"
Original-To: [email-masked] (Michael Lorenz)
Original-Cc: [email-masked], [email-masked], [email-masked],
        [email-masked]
X-Mailer: ELM [version 2.4ME+ PL28 (25)]
Original-Sender: [email-masked]

> Hi !
> 
> > > maybe the byacc included in the cygnus package is a bit bogus ? I had
> > > serious problems with it so I built a bison 1.22 or so.
> > 
> > It shouldn't be bogus.  It does misbehave under Win32 if you don't have a
> > valid /tmp directory though as it says in the FAQ; could this be the
> > problem?
> 
> no.. then byacc should have complained about this ?! 

Byacc doesn't complain about this. It silently goes on and behaves
unpredictably.

> the generated parser just didn't work :-(

Did you try your parser (.y) file under a working byacc under unix?

> the same source passed through bison -y ( for yacc behaviour ) indeed works...
> 
> bye
> Michael
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

--
Chris Christoph P. U. Kukulies [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".